<?xml version="1.0" encoding="utf-8"?>
<creole>

    <files>
        <file name='/usr/share/eole/bastion/data/90-lxc_rules' mode='0755' rm='True' filelist='container' />
        <!-- Lock file, must not be removed -->
        <file name='/etc/eole/.VirtEnabled.lock' rm='False' source='container.lockfile' filelist='container' />
        <file name='/etc/lxc/default.conf' source='lxc.conf' filelist='container' />
        <file name='/etc/init/lxc.override' filelist='container' />
        <file name='/etc/dnsmasq.d/lxc' source='dnsmasq-lxc' filelist='container' />
        <file name='/etc/default/lxc-net' source='lxc-net.default' filelist='container' />
    </files>

    <containers>
        <all>
            <file name='/etc/ssh/sshd_config' source='sshd_config.lxc' filelist='container' />
            <file name='/usr/share/eole/bastion/data/50-nat_rules' mkdir="True" mode='0755' filelist='era_not_installed' rm='True' instance_mode='when_container'/>
            <file name='/usr/share/eole/bastion/data/00-container' mkdir="True" mode='0755' filelist='container'/>
            <file name='/etc/hosts' source='lxc.hosts' filelist='container'/>
            <file name='/etc/eole/hosts.allow' filelist='era_not_installed' mkdir='True' instance_mode='when_container'/>
            <file name='/etc/hosts.deny' filelist='container'/>
            <file name='/etc/timezone' filelist='container'/>
            <file name='/etc/resolv.conf' filelist='container'/>
            <file name='/etc/vim/vimrc' filelist='container'/>
            <file name='../config' source='lxc.config' filelist='container'/>
            <file name='../fstab' source='lxc.fstab' filelist='container'/>
            <file name='../devices.hook' source='lxc.devices.hook' mode='0755' filelist='container'/>
            <file name='/etc/network/interfaces' source='lxc.interfaces' filelist='container'/>
            <file name='/etc/rsyslog.conf' source="rsyslog.conf.container" filelist='container'/>
        </all>
    </containers>

    <variables>
        <family name='general'>
            <variable name='mode_conteneur_actif' redefine='True'>
                <value>oui</value>
            </variable>
        </family>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='mode_conteneur_actif'>
            <param>non</param>
            <target type='filelist'>container</target>
        </condition>
    </constraints>
    <help/>
</creole>
